#!/bin/sh
#
# Create Aegis Validator reference hashes. Example script that can be
# invoked from Debian package creation toolchain.
#
DIR=$1
PKG=$2
exclude=""

( cd $DIR >/dev/null ; find . -type f $exclude ! -regex '.*/DEBIAN/.*' -printf '%P\0' | xargs -r0 refhashmake -c -a -o com.nokia.maemo -r -f > DEBIAN/digsigsums ) > /dev/null

( cd $DIR/DEBIAN >/dev/null ; find . -type f -printf '%P\0' | xargs -r0 refhashmake -c -a -o com.nokia.maemo -p var/lib/dpkg/info/$PKG. -r -f  >> digsigsums ) > /dev/null




